@using Mandiri.Lelang.WebAdminUI.Utility
@model object

@{
    var placeholder = "";
    if (ViewBag.placeholder != null)
    {
        placeholder = ViewBag.placeholder;
    }
}
<div class="form-group@(Html.ValidationErrorFor(m => m, " has-error"))">
    @Html.LabelFor(m => m, new { @class = "control-label" })
    <div class="controls">
        @if (ViewBag.@readonly != null)
        {
        @Html.TextAreaFor(
            m => m,
            8, 8,
            ViewBag.ClearTextField == true ? new { @class = "form-control input-block-level clear-text-field", placeholder = placeholder, @readonly = "readonly" } : new { @class = "form-control input-block-level", placeholder = placeholder, @readonly = "readonly" })
        }
        else
        {
        @Html.TextAreaFor(
            m => m,
            8, 8,
            ViewBag.ClearTextField == true ? new { @class = "form-control input-block-level clear-text-field", placeholder = placeholder } : new { @class = "form-control input-block-level", placeholder = placeholder })        
        }
        @Html.ValidationMessageFor(m => m, null, new { @class = "help-block" })
    </div>
</div>
